Subject: [3gpp-ietf-coord] Way forward for T.140 data channel usage

From: Christer Holmberg <[email-masked]>
Date: Thu, 8 Aug 2019 14:26:56 +0000

Hi,

As you know, draft-schwarz-mmusic-t140-usage-data-channel has been hanging around for a long time, without any progress: the original authors stopped working on it, and nobody was willing to take over. 

There has also been attempts to remove the dependency from 3GPP, but that has failed based on feedback that it is needed e.g., for regulatory reasons.

Some time ago I decided to take a close look at the draft, so see how much work it would take to finalize. One thing led ted to another, and I ended up re-writing the draft.

The new draft is based on the schwarz draft (also mentioned in the text), but I have done quite a bit of editorial changes, and some re-structuring to better separate between the SDP considerations and the T.140 considerations. 

I did, however, remove much of the Gateway text. And,  the H.248 related work is done elsewhere.

The only NEW technical stuff is describing how the T.140 abstract service functions map to T.140 data channels established with SDP O/A.

I have not yet submitted the draft, but you can read the current pre-submission version on GitHub:

https://github.com/cdh4u/draft-datachannel-t140/blob/master/draft-holmberg-mmusic-t140-usage-data-channel.txt

There are currently no open issues in the draft, so unless something comes up I think it is in a pretty good shape already. Thanks to Thomas Belling for providing useful feedback on the initial version!

What do you think? Would you be ok to use this draft and try to finalize the T.140 data channel dependency work?

(If people still think we should try to finalize the schwarz draft, I am fine with that. But, then those people should also indicate who will drive the work.)

Regards,

Christer